Index: npl/webapps/Trac/Trac.SlackBuild
===================================================================
--- npl/webapps/Trac/Trac.SlackBuild	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.SlackBuild	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
@@ -0,0 +1,75 @@
+#!/bin/bash
+#DEP:python
+#DEP:python_setuptools
+#DEP:python_Genshi
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.*`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#webportal stuff
+mkdir -p /tmp/pkg/var/www/htdocs/syn3/tracportal/
+cp webportal/* /tmp/pkg/var/www/htdocs/syn3/tracportal/ || exit 1
+
+#postinst
+mkdir -p /tmp/pkg/etc/postinst.d
+cp post.* /tmp/pkg/etc/postinst.d || exit 1
+chmod +x /tmp/pkg/etc/postinst.d/* || exit 1
+
+#apache config
+mkdir -p /tmp/pkg/etc/apache2/conf.d
+cp trac.conf /tmp/pkg/etc/apache2/conf.d || exit 1
+
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR || exit 1
+python setup.py install --root=/tmp/pkg || exit 1
+popd
+
+#scripts and stuff to create new syn3 trac env.
+mkdir -p /tmp/pkg/usr/share/trac/syn3_defaults
+cp defaults/* /tmp/pkg/usr/share/trac/syn3_defaults
+mkdir /tmp/pkg/usr/bin
+cp syn3-newtrac /tmp/pkg/usr/bin || exit 1
+chmod +x /tmp/pkg/usr/bin/syn3-newtrac || exit 1
+
+#wsgi stuff
+mkdir -p /tmp/pkg//usr/share/trac/cgi-bin
+cp trac.wsgi /tmp/pkg//usr/share/trac/cgi-bin || exit 1
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: l/webapps/Trac/Trac.SlackBuild.dis
===================================================================
--- npl/webapps/Trac/Trac.SlackBuild.dis	(revision 5e97a9c88e00e20c7bb965534e6144424a8431ae)
+++ 	(revision )
@@ -1,74 +1,0 @@
-#!/bin/bash
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.tar.*`
-
-#Version of the sourcefiles
-VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#webportal stuff
-mkdir -p /tmp/pkg/var/www/htdocs/syn3/tracportal/
-cp webportal/* /tmp/pkg/var/www/htdocs/syn3/tracportal/ || exit 1
-
-#postinst
-mkdir -p /tmp/pkg/etc/postinst.d
-cp post.* /tmp/pkg/etc/postinst.d || exit 1
-chmod +x /tmp/pkg/etc/postinst.d/* || exit 1
-
-#apache config
-mkdir -p /tmp/pkg/etc/apache2/conf.d
-cp trac.conf /tmp/pkg/etc/apache2/conf.d || exit 1
-
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#scripts and stuff to create new syn3 trac env.
-mkdir -p /tmp/pkg/usr/share/trac/syn3_defaults
-cp defaults/* /tmp/pkg/usr/share/trac/syn3_defaults
-mkdir /tmp/pkg/usr/bin
-cp syn3-newtrac /tmp/pkg/usr/bin || exit 1
-chmod +x /tmp/pkg/usr/bin/syn3-newtrac || exit 1
-
-#wsgi stuff
-mkdir -p /tmp/pkg//usr/share/trac/cgi-bin
-cp trac.wsgi /tmp/pkg//usr/share/trac/cgi-bin || exit 1
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: npl/webapps/Trac/Trac.build
===================================================================
--- npl/webapps/Trac/Trac.build	(revision 5e97a9c88e00e20c7bb965534e6144424a8431ae)
+++ npl/webapps/Trac/Trac.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
@@ -1,1 +1,1 @@
-5860
+5861
Index: npl/webapps/Trac/Trac.depver
===================================================================
--- npl/webapps/Trac/Trac.depver	(revision 5e97a9c88e00e20c7bb965534e6144424a8431ae)
+++ npl/webapps/Trac/Trac.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
@@ -1,2 +1,3 @@
-python	1
+python	2
 python_setuptools	0
+python_Genshi	0
Index: npl/webapps/Trac/Trac.md5
===================================================================
--- npl/webapps/Trac/Trac.md5	(revision 5e97a9c88e00e20c7bb965534e6144424a8431ae)
+++ npl/webapps/Trac/Trac.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
@@ -4,9 +4,9 @@
 753577aa3401b4cdd0e198f3bd9db965  ./post.trac
 43a2f05f263cb1501fafc699875d00a4  ./syn3-newtrac
-0cef201e223fafb5c3dd99577403f572  ./Trac-0.12.3.tar.gz
+ff3a7d78099a269ae2035a6cf8adccbb  ./Trac-1.2.tar.gz
 e3985140b5bf7107e1d51277303c67b9  ./trac.conf
-411ab905eaac28d948fffbc7e0f2da26  ./Trac.pkg
-08d5d57af99e860b465bdf8fce3a086f  ./Trac.SlackBuild
-9210727ba77a8c10b9e3a1b64d7e065d  ./Trac.SlackBuild.log.gz
+6e1f0205e444d468644253c0e1e1581f  ./Trac.pkg
+4aef27ce983281fe691c4860346f4f8f  ./Trac.SlackBuild
+4b0b48d68324a814bd20f88f400770ae  ./Trac.SlackBuild.log.gz
 10b18fcfbdc8092690f8754dadea4dc8  ./trac.wsgi
 8b2637ff214bdfd68579630bd221e1a6  ./webportal/index.php
Index: npl/webapps/Trac/Trac.version
===================================================================
--- npl/webapps/Trac/Trac.version	(revision 5e97a9c88e00e20c7bb965534e6144424a8431ae)
+++ npl/webapps/Trac/Trac.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
@@ -1,1 +1,1 @@
-0.12.3
+1.2
